Page MenuHomePhabricator

FieldLayout should be able to focus arbitrary focusable widgets
Closed, ResolvedPublic

Description

FieldLayout (and also LabelWidget) should be able to focus arbitrary focusable widgets when its label is clicked.

Two problems here are that not all widgets have a .focus() method (for example… ButtonWidget doesn't? whoa), and even if they did, we hardcode some checks for InputWidget subclasses.

Event Timeline

matmarex created this task.May 4 2017, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 4:32 PM
matmarex claimed this task.May 4 2017, 4:52 PM

Change 351930 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] [WIP] Rewrite focus and FieldLayout label stuff

https://gerrit.wikimedia.org/r/351930

Volker_E triaged this task as High priority.May 5 2017, 12:49 AM
Volker_E moved this task from Backlog to Doing on the OOUI board.
Volker_E added a project: Accessibility.

Change 351930 abandoned by Bartosz Dziewoński:
[WIP] Rewrite focus and FieldLayout label stuff

Reason:
Explaining all of the things that this does in the commit message turned out to be difficult, so I'm splitting this into several commits. That'll be easier to describe (and review! :) ).

https://gerrit.wikimedia.org/r/351930

Change 353164 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] Allow more widgets to be focussed programatically

https://gerrit.wikimedia.org/r/353164

Change 353164 merged by jenkins-bot:
[oojs/ui@master] Allow more widgets to be focussed programatically

https://gerrit.wikimedia.org/r/353164

Volker_E closed this task as Resolved.May 19 2017, 9:17 PM
Volker_E moved this task from Doing to OOjs-UI-0.21.4 on the OOUI board.
Volker_E edited projects, added OOUI (OOjs-UI-0.21.4); removed OOUI.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.